# Slipsquare

[![Coverage Status](https://coveralls.io/repos/petems/slipsquare/badge.png?branch=master)](https://coveralls.io/r/petems/slipsquare?branch=master)
[![Build Status](https://travis-ci.org/petems/slipsquare.svg?branch=master)](https://travis-ci.org/petems/slipsquare)

A work-in-progress command line tool for uploading files to Dropbox, heavily inspired by tools such as
[Dropbox Uploader](https://github.com/andreafabrizi/Dropbox-Uploader) and [Tugboat](https://github.com/pearkes/tugboat)

### Installation

    gem install slipsquare

### Configuration

Run the configuration utility, `slipsquare authorize`.

### Download a file

```
$ slipsquare download miley_cyrus_dubstep.mp3
Downloading file...
File 'miley_cyrus_dubstep.mp3' downloaded successfully!
```

### Upload a file

```
$ slipsquare upload secret_plans.doc
Uploading file...
File 'secret_plans.doc' uploaded successfully
```

**Coming soon - Chunked uploads with progress bar!**

### Delete a file

*To be implemented*

```
$ slipsquare delete remove_me.tmp
Deleting file...
To be implemented...
```

### Create a directory

```
$ slipsquare mkdir breaking_bad_episodes
Creating directory on Dropbox...
Directory `breaking_bad_episodes` created successfully
```

### List files on dropbox

#### All files/Root
```
$ slipsquare ls
Listing files from Dropbox
PATH                           | MIME_TYPE                | SIZE
-------------------------------|--------------------------|---------
/what_does_the_fox_say.mp3     | audio/mpeg               | 7.6 MB
/photo_album.zip               | application/zip          | 83.7 MB
/Books                         | Method Missing           | 0 bytes
/Camera Uploads                | Method Missing           | 0 bytes
/Comics                        | Method Missing           | 0 bytes
/Music                         | Method Missing           | 0 bytes
/Photos                        | Method Missing           | 0 bytes
/Public                        | Method Missing           | 0 bytes
```

#### Particular Path
```
$ slipsquare ls music
PATH                           | MIME_TYPE  | SIZE
-------------------------------|------------|---------
/Music/01-paul_oakenfold_-_... | audio/mpeg | 183.9 MB
/Music/Big Bad Wolf (Dada L... | audio/mpeg | 12.5 MB
/Music/Drums Of Death - War... | audio/mpeg | 84.6 MB
/Music/Layo & Bushwacka! - ... | audio/mpeg | 78.8 MB
/Music/Lost Woods (Crizzly ... | audio/mpeg | 9.7 MB
/Music/The Glitch Mob -- We... | audio/mpeg | 12.6 MB
```

## Help

For a complete overview of all of the available commands, run:

    $ slipsquare help

Feel free to open issues in case of bugs or improvments.

## Contributing

See the [contributing guide](CONTRIBUTING.md). Pull-requests welcome!


[![Bitdeli Badge](https://d2weczhvl823v0.cloudfront.net/petems/slipsquare/trend.png)](https://bitdeli.com/free "Bitdeli Badge")

