require 'spec_helper'

describe Slipsquare::CLI do
  include_context "spec"

  describe "get-keys" do

    before(:each) do
      Time.stub!(:now).and_return('123456')
    end

    it "shows the keys helper text" do

      @cli.options = @cli.options.merge(:get_keys => true)
      @cli.get_keys

      expect($stdout.string).to eq <<-eos
Please open this URL from your Browser, and login: https://www2.dropbox.com/developers/apps
Click \"Create app\" button, and choose the following options:
Type: Dropbox API app
Data: Files and Datastores
Permission type: Full Dropbox
File Types: All file types
App name: Slipsquare123456
Cick on the \"Create\" button, and note down the 'app key' and 'app secret'
      eos
    end
  end
end

