require 'spec_helper'

describe Slipsquare::CLI do
  include_context "spec"

  before :each do
    File.open("foo.txt", 'w') {|f| f.write("Laugh and grow fat...") }
  end

  after :each do
    File.delete("foo.txt") if File.exist?("foo.txt")
  end

  describe "upload" do

    it "uploads a simple text file" do

      stub_request(:put, "https://api-content.dropbox.com/1/files_put/dropbox/foo.txt?").
         with(:body => "Laugh and grow fat...",
              :headers => {'Accept'=>'*/*', 'Authorization'=>/OAuth oauth_body_hash="\S+", oauth_consumer_key="#{app_key}", oauth_nonce="\S+", oauth_signature="\S+", oauth_signature_method="HMAC-SHA1", oauth_timestamp="\S+", oauth_token="#{app_token}", oauth_version="1.0"/, 'Content-Length'=>'21', 'Content-Type'=>'application/octet-stream', 'User-Agent'=>'OAuth gem v0.4.7'}).
         to_return(:status => 200, :body => fixture('upload_success'))

      @cli.upload('foo.txt')
      expect($stdout.string).to eq <<-eos
Uploading file...
File 'foo.txt' uploaded successfully
      eos
    end

  end

end

